MsWrdStruct::Table::Cell Struct Reference

the cells definitions in a Microsoft Word Table More...

`#include <MsWrdStruct.hxx>`

## Public Member Functions

| Cell ()
| constructor
void | insert (Cell const &cell)
| update the cell data by merging
bool | hasBorders () const
| returns true if the cell has borders

## Public Attributes

std::vector< MWAWVariable< MWAWBorder > > | m_borders
| the borders TLBR
MWAWVariable< float > | m_backColor
| the background gray color
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Table::Cell const &cell)
| operator<<

## Detailed Description

the cells definitions in a Microsoft Word Table

## Constructor & Destructor Documentation

## Cell()

MsWrdStruct::Table::Cell::Cell | ( |  | ) |

inline

constructor

Referenced by insert().

## Member Function Documentation

## hasBorders()

bool MsWrdStruct::Table::Cell::hasBorders | ( |  | ) | const

inline

returns true if the cell has borders

Referenced by operator<<.

## insert()

void MsWrdStruct::Table::Cell::insert | ( | Cell const & | cell | ) |

inline

update the cell data by merging

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Table::Cell const & | cell )

friend

operator<<

## Member Data Documentation

## m_backColor

MWAWVariable<float> MsWrdStruct::Table::Cell::m_backColor

the background gray color

Referenced by Cell(), insert(), and operator<<.

## m_borders

std::vector<MWAWVariable<MWAWBorder> > MsWrdStruct::Table::Cell::m_borders

the borders TLBR

Referenced by Cell(), hasBorders(), insert(), operator<<, and MsWrdStruct::Table::read().

## m_extra

std::string MsWrdStruct::Table::Cell::m_extra

extra data

Referenced by Cell(), insert(), operator<<, and MsWrdStruct::Table::read().

The documentation for this struct was generated from the following file:

- MsWrdStruct.hxx